org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version.

Pentaho BI Platform Tracking | Lunen | 3 years ago
  1. 0

    Hi, I'm new to this forum and the product. I've installed mysql 5.5.37. I've installed Java Ive installed Kettle -Spoon General Availability Release - 5.0.1-stable I've copied JDBC driver(mysql-connector-java-5.1.30-bin.jar) into the lib directory. I've created a sql account, schema and Repository and set the bind-address to 0.0.0.0 The problem lies with when I try and connect to a repository. My very first time I've added a repository, I was able to do a "Dry run". During the Dry Run Execution, some of the scripts came back with errors. After the script, I tried to log in but I'm not able to. The User Name and Password I'm using is admin, admin and an Error comes up saying Repository login failed. Detailed error follows: __________________________________________________________________________ org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version. at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:165) at org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:194) at org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:180) at org.pentaho.di.ui.repository.RepositoriesHelper.loginToRepository(RepositoriesHelper.java:249) at org.pentaho.di.ui.repository.controllers.RepositoriesController$3.run(RepositoriesController.java:216) at java.lang.Thread.run(Thread.java:701) Caused by: org.pentaho.di.core.exception.KettleException: The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version. at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.verifyVersion(KettleDatabaseRepositoryConnectionDelegate.java:217) at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:145) ... 5 more ____________________________________________________________________________ When I try and use the Create or Upgrade button again, It comes back to "Confirm the password" - "Give the password of the admin user!". I've tried to use admin as the password, but no luck.

    Pentaho BI Platform Tracking | 3 years ago | Lunen
    org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version.
  2. 0

    Hi, I'm new to this forum and the product. I've installed mysql 5.5.37. I've installed Java Ive installed Kettle -Spoon General Availability Release - 5.0.1-stable I've copied JDBC driver(mysql-connector-java-5.1.30-bin.jar) into the lib directory. I've created a sql account, schema and Repository and set the bind-address to 0.0.0.0 The problem lies with when I try and connect to a repository. My very first time I've added a repository, I was able to do a "Dry run". During the Dry Run Execution, some of the scripts came back with errors. After the script, I tried to log in but I'm not able to. The User Name and Password I'm using is admin, admin and an Error comes up saying Repository login failed. Detailed error follows: __________________________________________________________________________ org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version. at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:165) at org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:194) at org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:180) at org.pentaho.di.ui.repository.RepositoriesHelper.loginToRepository(RepositoriesHelper.java:249) at org.pentaho.di.ui.repository.controllers.RepositoriesController$3.run(RepositoriesController.java:216) at java.lang.Thread.run(Thread.java:701) Caused by: org.pentaho.di.core.exception.KettleException: The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version. at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.verifyVersion(KettleDatabaseRepositoryConnectionDelegate.java:217) at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:145) ... 5 more ____________________________________________________________________________ When I try and use the Create or Upgrade button again, It comes back to "Confirm the password" - "Give the password of the admin user!". I've tried to use admin as the password, but no luck.

    Pentaho BI Platform Tracking | 3 years ago | Lunen
    org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version.
  3. 0

    Issue is not regression. Steps to reproduce: 1) Create new "MS SQL Server" repository from the beginning and connect. Actual result: org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version. at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:160) at org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:191) at org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:180) at org.pentaho.di.ui.repository.RepositoriesHelper.loginToRepository(RepositoriesHelper.java:269) at org.pentaho.di.ui.repository.controllers.RepositoriesController$3.run(RepositoriesController.java:218) at java.lang.Thread.run(Unknown Source) Caused by: org.pentaho.di.core.exception.KettleException: The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version. at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.verifyVersion(KettleDatabaseRepositoryConnectionDelegate.java:219) at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:146) ... 5 more Expected result: Able to connect to repository.

    Pentaho BI Platform Tracking | 2 years ago | Aliaksandr Bialkevich
    org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version.
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Issue is not regression. Steps to reproduce: 1) Create new "MS SQL Server" repository from the beginning and connect. Actual result: org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version. at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:160) at org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:191) at org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:180) at org.pentaho.di.ui.repository.RepositoriesHelper.loginToRepository(RepositoriesHelper.java:269) at org.pentaho.di.ui.repository.controllers.RepositoriesController$3.run(RepositoriesController.java:218) at java.lang.Thread.run(Unknown Source) Caused by: org.pentaho.di.core.exception.KettleException: The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version. at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.verifyVersion(KettleDatabaseRepositoryConnectionDelegate.java:219) at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:146) ... 5 more Expected result: Able to connect to repository.

    Pentaho BI Platform Tracking | 2 years ago | Aliaksandr Bialkevich
    org.pentaho.di.core.exception.KettleException: Error connecting to the repository! The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version.

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. org.pentaho.di.core.exception.KettleException

      The version of the repository is -1.-1. This Kettle edition requires it to be at least version 5.0 and as such an upgrade is required. To upgrade, backup your database and export the repository to XML for additional safety. Then select the 'Edit' button followed by the 'Create or Upgrade' button. Please consult the Upgrade Guide for eventually special instructions for this version.

      at org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.verifyVersion()
    2. org.pentaho.di
      RepositoriesController$3.run
      1. org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.verifyVersion(KettleDatabaseRepositoryConnectionDelegate.java:217)
      2. org.pentaho.di.repository.kdr.delegates.KettleDatabaseRepositoryConnectionDelegate.connect(KettleDatabaseRepositoryConnectionDelegate.java:145)
      3. org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:194)
      4. org.pentaho.di.repository.kdr.KettleDatabaseRepository.connect(KettleDatabaseRepository.java:180)
      5. org.pentaho.di.ui.repository.RepositoriesHelper.loginToRepository(RepositoriesHelper.java:249)
      6. org.pentaho.di.ui.repository.controllers.RepositoriesController$3.run(RepositoriesController.java:216)
      6 frames
    3. Java RT
      Thread.run
      1. java.lang.Thread.run(Thread.java:701)
      1 frame